scala.tools.nsc.Global.Run

# trackerFactory

#### object trackerFactory extends SymbolTrackers

Source
  Global.scala

Linear Supertypes
SymbolTrackers, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. trackerFactory
2. SymbolTrackers
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### case class Change(added: Set[Global.Symbol], removed: Set[Global.Symbol], trees: Map[Global.Symbol, Set[Global.Tree]], owners: Map[Global.Symbol, Global.Symbol], flags: Map[Global.Symbol, Long]) extends Product with Serializable

   Definition Classes
     SymbolTrackers

2. #### trait Hierarchy extends AnyRef

   Reversing the direction of Symbol's owner arrow.

   Reversing the direction of Symbol's owner arrow.

   Definition Classes
     SymbolTrackers

3. #### class SymbolTracker extends AnyRef

   Definition Classes
     SymbolTrackers

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### object SymbolTracker

   Definition Classes
     SymbolTrackers

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### val global: Global.this.type

    Definition Classes
      trackerFactory → SymbolTrackers

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### def snapshot(): Unit

18. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

19. #### def toString(): String

    Definition Classes
      AnyRef → Any

20. #### lazy val trackers: collection.immutable.List[SymbolTracker]

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from SymbolTrackers

### Inherited from AnyRef

### Inherited from Any

### Ungrouped